summaryrefslogtreecommitdiff
path: root/plugins/symlink
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/symlink')
-rwxr-xr-xplugins/symlink14
1 files changed, 14 insertions, 0 deletions
diff --git a/plugins/symlink b/plugins/symlink
new file mode 100755
index 0000000..159e0e7
--- /dev/null
+++ b/plugins/symlink
@@ -0,0 +1,14 @@
+#!/bin/dash
+
+# symlink plugin
+#
+# ENVIRONMENT VARIABLES:
+# LINKDEST known_hosts file to link to
+#
+
+set -e
+
+[ -f "${LINKDEST}" ] && [ -r "${LINKDEST}" ]
+ln -sf "${LINKDEST}" new
+
+# vim:set ft=sh: